%define _legacy_common_support 1

Name:          theli
Version:       3.0.5
Release:       %mkrel 1
Summary:       A pipeline for the automated reduction of astronomical images
License:       GPLv2+
Group:         Sciences/Astronomy

URL:           http://www.astro.uni-bonn.de/theli/
Source0:      https://github.com/schirmermischa/THELI/archive/v%{version}.tar.gz#/theli-%{version}.tar.gz

#configuration scripts test for their presence
BuildRequires: scamp
BuildRequires: cdsclient
BuildRequires: python3-astropy
BuildRequires: python3-matplotlib
BuildRequires: python3-numpy
BuildRequires: qmake
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: wcslib-devel
BuildRequires: cfitsio-devel
BuildRequires: gsl-devel
BuildRequires: openmpi-devel
BuildRequires: pkgconfig(libraw)
BuildRequires: fftw-devel
BuildRequires: tiff-devel
BuildRequires: curl-devel

Requires:      scamp
Requires:      cdsclient
Requires:      python3-astropy
Requires:      python3-matplotlib
Requires:      python3-numpy
Requires:      swarp
Requires:      sextractor

%description
This version is suitable for survey work, i.e. you have a very large
number of different pointings taken with the same optical
instrument. Contrary to the GUI, it can be run in batch mode, and also
on a Linux cluster. The scripts are mainly optimised for blank fields,
and they need to be configured manually to suit the data for your
instrument.

%prep
%setup -q -n THELI-%{version}
%autopatch -p1


%build
cd src
qmake -o Makefile THELI.pro
make

%install
cd src
make install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/*
%{_datadir}/theli


%changelog
* Fri Dec 25 2020 joequant <joequant> 3.0.5-1.mga8
+ Revision: 1663679
- fix deps
- fix deps
- add libtiff
- update to 3.0.5

* Fri Aug 14 2020 neoclust <neoclust> 1.9.5-8.mga8
+ Revision: 1614082
- Rebuild to fix missing rpm

* Sun Jun 28 2020 joequant <joequant> 1.9.5-7.mga8
+ Revision: 1600046
- fix scripts
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.9.5-6.mga7
+ Revision: 1301396
- Mageia 7 Mass Rebuild

* Thu Oct 27 2016 eatdirt <eatdirt> 1.9.5-5.mga6
+ Revision: 1063742
- Trading dependency from pytfits to astropy
- Unobsoleting theli.
+ akien <akien>
- Obsolete the unmaintained stsci python stack

* Mon Feb 01 2016 umeabot <umeabot> 1.9.5-4.mga6
+ Revision: 929715
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.5-3.mga5
+ Revision: 747544
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 eatdirt <eatdirt> 1.9.5-1.mga5
+ Revision: 642306
- Upgrade to version 1.9.5

* Mon Oct 21 2013 umeabot <umeabot> 1.7.6-3.mga4
+ Revision: 539065
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 joequant <joequant> 1.7.6-2.mga4
+ Revision: 491294
- remove dot on summary

* Fri Oct 04 2013 joequant <joequant> 1.7.6-1.mga4
+ Revision: 491289
- remove dot from summary
- imported package theli

